# Server Configuration Reference ## The Server Component |
Introduction
A Server element represents the entire Catalina servlet container. Therefore, it must be the single outermost element in the `conf/server.xml` configuration file. Its attributes represent the characteristics of the servlet container as a whole.
Attributes
> Common Attributes
> > All implementations of Server support the following attributes:
> > Attribute | Description
> > --- | ---
> > `className` | Java class name of the implementation to use. This class must implement the `org.apache.catalina.Server` interface. If no class name is specified, the standard implementation will be used.
> > `port` | The TCP/IP port number on which this server waits for a shutdown command. This connection must be initiated from the same server computer that is running this instance of Tomcat.
> > `shutdown` | The command string that must be received via a TCP/IP connection to the specified port number, in order to shut down Tomcat.
> Standard Implementation
> > The standard implementation of Server is org.apache.catalina.core.StandardServer. It supports the following additional attributes (in addition to the common attributes listed above):
> > Attribute | Description
> > --- | ---
> > `debug` | The level of debugging detail logged by this Server to the associated Logger. Higher numbers generate more detailed output. If not specified, the default debugging detail level is zero (0).
Nested Components
The following components may be nested inside a Server element: Service - One or more service element. GlobalNamingResources - Configure the JNDI global resources for the server.
Special Features
There are no special features associated with a Server.
Copyright © 1999-2002, Apache Software Foundation